import { ConfigField, ConfigObject, customFieldsFormat, framework } from './interfaces';
export default class Config {
    private static instance;
    private config;
    private msgFields;
    private reqFields;
    private contextFields;
    noCacheMsgFields: ConfigField[];
    noCacheReqFields: ConfigField[];
    private constructor();
    static getInstance(): Config;
    getConfig(): ConfigObject;
    getConfigFields(fieldNames?: string[]): ConfigField[];
    getContextFields(): ConfigField[];
    getDisabledFields(): ConfigField[];
    getCacheMsgFields(): ConfigField[];
    getCacheReqFields(): ConfigField[];
    getFramework(): framework;
    getReqLoggingLevel(): string | undefined;
    addConfig(configs: ConfigObject[]): void;
    setCustomFieldsFormat(format: customFieldsFormat): void;
    setStartupMessageEnabled(enabled: boolean): void;
    setFramework(framework: framework): void;
    setRequestLogLevel(name: string): void;
    enableTracing(input: string[]): void;
    isSettable(key: string): boolean;
    clearFieldsConfig(): void;
    private getIndex;
    private addToList;
}
